> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/introduction/developer-resources/authentication.md).

# Authentication

In order to get registered,  you have to connect with a Stellar wallet. If you do not yet have one, or have never used one, there is more information in the following section:&#x20;

{% content-ref url="/pages/hnolwfVIvAzhFQthX4sB" %}
[Stellar Wallets](/trustless-work/introduction/stellar-and-soroban-the-backbone-of-trustless-work/stellar-wallets.md)
{% endcontent-ref %}

To authenticate you will need to login to our Dapp with a Stellar Wallet and Request an API key. Here are the steps to achieve that:&#x20;

{% content-ref url="/pages/rk6FfPZG0cVD1uYYThg4" %}
[Request API Key](/trustless-work/introduction/developer-resources/request-api-key.md)
{% endcontent-ref %}

\
**Coming:** \
We are figuring out how this can work with passkeys and send to addresses with Memo. \
WE do this in the open, so feel free to crontribute. [Broken mention](broken://pages/BDEDz7igAgRHxtqzbZwM)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trustlesswork.com/trustless-work/introduction/developer-resources/authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
